<mat-toolbar color="accent">
  <button
    mat-icon-button
    class="example-icon"
    aria-label="Example icon-button with menu icon"
    (click)="snav.toggle()"
  >
    <mat-icon>menu</mat-icon>
  </button>
  <span>{{ appName }}</span>
  
  <span class="example-spacer"></span>
  <button mat-icon-button (click)="logout()" title="Esci">
    <mat-icon>logout</mat-icon>
  </button>
</mat-toolbar>

<mat-sidenav-container class="sidenav-container" [hasBackdrop]="false">
  <mat-sidenav [(opened)]="sideNavOpen" #snav mode="over">
    <mat-nav-list>
      <dbe-nested-menu
        *ngFor="let item of items"
        [item]="item"
      ></dbe-nested-menu>
    </mat-nav-list>
  </mat-sidenav>

  <mat-sidenav-content>
    <section class="sidenav-content">
      <div class="private-content-container">
        <ui-view class="private-content"></ui-view>
      </div>
    </section>
  </mat-sidenav-content>
</mat-sidenav-container>
